Subject: RE: [PATCH v4 3/4] Bring NonStop platform definitions up to date in git-compat-util.h

From: "Randall S. Becker" <[email-masked]>
Date: Wed, 24 Jan 2018 16:51:09 -0500

On January 24, 2018 4:18 PM, Junio C Hamano wrote:
> 
> "Randall S. Becker" <[email-masked]> writes:
> 
> >> > +#ifdef __TANDEM
> >> > +#if !defined(_THREAD_SUPPORT_FUNCTIONS) &&
> >> !defined(_PUT_MODEL_)
> >> > +/* #include
> >> > +<floss.h(floss_read,floss_write,floss_fsync,floss_fork)>
> >> > +*/
> >> > +/* #include <floss.h(floss_fork)> */ #endif
> >>
> >> The above adds a conditional no-op?  That's confusing...
> >
> > We are trying to make PUT work with git on NonStop. I can't tell you
> > how much of a pain it is. This is a placeholder for others (outside
> > our group) to know where to muck. I can remove it if you don't want it
> there.
> 
> It is OK as long as it was done on purpose.  I was just making sure that
this
> was an unfinished WIP sent by mistake before proofreading.

Absolutely definitely positively on purpose and when it we get PUT working
in FLOSS, this is *so* going to happen. :-)